package com.dcit.danger.dao;

import com.dcit.danger.dto.PlanInfoDTO;
import com.dcit.danger.model.PlanInfo;
import com.dcit.danger.model.PlanInfoExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface PlanInfoMapper {
    long countByExample(PlanInfoExample example);

    int deleteByExample(PlanInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(PlanInfo record);

    int insertSelective(PlanInfo record);

    List<PlanInfo> selectByExample(PlanInfoExample example);

    PlanInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") PlanInfo record, @Param("example") PlanInfoExample example);

    int updateByExample(@Param("record") PlanInfo record, @Param("example") PlanInfoExample example);

    int updateByPrimaryKeySelective(PlanInfo record);

    int updateByPrimaryKey(PlanInfo record);
    
    List<PlanInfoDTO> selectPlanInfoList(Map<String, Object> map);
}